Skip to main content
`Ctrl`+`K`

# RepresentationMapping

class astropy.coordinates.RepresentationMapping(reprname, framename, defaultunit='recommended')

  Bases: `NamedTuple`

  This `NamedTuple` is used with the `frame_specific_representation_info` attribute to tell frames what attribute names (and default units) to use for a particular representation. `reprname` and `framename` should be strings, while `defaultunit` can be either an astropy unit, the string `'recommended'` (which is degrees for Angles, nothing otherwise), or None (to indicate that no unit mapping should be done).

  Create new instance of RepresentationMapping(reprname, framename, defaultunit)

  Attributes Summary

  `defaultunit` | Alias for field number 2
  `framename` | Alias for field number 1
  `reprname` | Alias for field number 0

  Attributes Documentation

  defaultunit

    Alias for field number 2

  framename

    Alias for field number 1

  reprname

    Alias for field number 0